Bug 170353 - Using tab in text input fields makes line disappear
Using tab in text input fields makes line disappear
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2005-10-10 17:44 EDT by Sigge Kotliar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 01:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sigge Kotliar 2005-10-10 17:44:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sv-SE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When using any gtk2 text editor (gedit, bluefish, leafpad, screem) I get this weird bug on my tab key. 
It's easier explained in steps.
This has been happening on a pretty clean FC4 system, after the latest update to gtk2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open gedit (or other text editor)
2. Type in a couple of lines of text
3. Move the caret in between two lines.
4. Press enter to create a new line.
5. Press tab (line disappears)
6. Try to type something (line miraculously reappears)

Actual Results:  5) Line disappears. It's empty, but it still causes a lot of frustration when it's not visible

Expected Results:  5) Line doesn't disappear, but the caret is moved one tab length forward.

Additional info:

I'm filing it as a Fedora bug and not gtk, not sure which it is, but since it worked fine before the update, I guess it's Fedora's bug.
Comment 1 Sigge Kotliar 2005-11-15 16:09:49 EST
The bug's still there with today's update to gtk2 2.6.10-2.fc4.4.

Is noone else seeing this?
Comment 2 Matthias Clasen 2006-11-27 01:24:04 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.